VirtuousAI
Reference

Data catalog

List Data Catalog

GET
/api/v1/data/catalog

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/data/catalog"
{
  "rows": [
    {
      "canonicalBindings": [
        {
          "bindingId": "5fecb7b6-229e-4247-b81d-92842fd7d9b7",
          "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
          "entityKind": "master_entity",
          "entityName": "string"
        }
      ],
      "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d",
      "connectionName": "string",
      "contentCount": 0,
      "contentLabel": "string",
      "displayName": "string",
      "entityKey": "string",
      "externalSchema": "string",
      "externalTable": "string",
      "internalScope": "shared",
      "key": "string",
      "lastWriteAt": "2019-08-24T14:15:22Z",
      "physicalTableName": "string",
      "providerKey": "string",
      "resourceKind": "table",
      "rowCount": 0,
      "schemaStable": true,
      "source": "synced",
      "syncId": "24d9ea7f-fdab-4f53-95fd-4deda2362964",
      "syncStatus": "string",
      "syncTableBindingId": "28751e46-e7b4-427e-b4d7-296bf5e4d33a",
      "workspaceKey": "string"
    }
  ],
  "total": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}